Loading...
Searching...
No Matches
ll_format.c File Reference
`#include <grass/gis.h>`
`#include <string.h>`
Include dependency graph for ll_format.c:

Go to the source code of this file.

## Functions

void | G_lat_format (double lat, char *buf)
const char * | G_lat_format_string (void)
void | G_lon_format (double lon, char *buf)
const char * | G_lon_format_string (void)
void | G_llres_format (double res, char *buf)
const char * | G_llres_format_string (void)
void | G_lat_parts (double lat, int *d, int *m, double *s, char *h)
void | G_lon_parts (double lon, int *d, int *m, double *s, char *h)

## Function Documentation

## G_lat_format()

void G_lat_format | ( | double | lat,
|  | char * | buf )

Definition at line 40 of file ll_format.c.

References G_lat_parts().

Referenced by G_adjust_window_ll(), and G_format_northing().

## G_lat_format_string()

const char * G_lat_format_string | ( | void |  | ) |

Definition at line 50 of file ll_format.c.

## G_lat_parts()

void G_lat_parts | ( | double | lat,
|  | int * | d,
|  | int * | m,
|  | double * | s,
|  | char * | h )

Definition at line 116 of file ll_format.c.

Referenced by G_lat_format(), and G_llres_format().

## G_llres_format()

void G_llres_format | ( | double | res,
|  | char * | buf )

Definition at line 70 of file ll_format.c.

References G_lat_parts().

Referenced by G_adjust_window_ll(), and G_format_resolution().

## G_llres_format_string()

const char * G_llres_format_string | ( | void |  | ) |

Definition at line 81 of file ll_format.c.

## G_lon_format()

void G_lon_format | ( | double | lon,
|  | char * | buf )

Definition at line 55 of file ll_format.c.

References G_lon_parts().

Referenced by G_adjust_window_ll(), and G_format_easting().

## G_lon_format_string()

const char * G_lon_format_string | ( | void |  | ) |

Definition at line 65 of file ll_format.c.

## G_lon_parts()

void G_lon_parts | ( | double | lon,
|  | int * | d,
|  | int * | m,
|  | double * | s,
|  | char * | h )

Definition at line 132 of file ll_format.c.

Referenced by G_lon_format().